// pages/balance/index.js
const api = require('../../api/index.js');

Page({

  /**
   * 页面的初始数据
   */
  data: {
    visible:false,
    selectedtype:1,
    accountdata:[]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
this.account()
  },
  account(){
    let data ={

    }
    api.request(`/SysBalance/selectbalance`, 'post',data,{ isPublic: false })
    .then((data) => {
      
      this.setData({
        accountdata:data.data
      })
 console.log(data);
    })
    .catch((err) => {
   
      console.error('请求失败：', err);
    });
  },
  onVisibleChange1(){
  this.setData({
    visible:false

  })

  },
  ondetails(e){
    console.log(e.currentTarget.dataset.name);
    if (e.currentTarget.dataset.name=='bill') {
      wx.navigateTo({
        url: `/pages/details/index?name=账单明细`,
      })
    }else if(e.currentTarget.dataset.name=='withdraw'){
      wx.navigateTo({
        url: `/pages/details/index?name=提现明细`,
      })
    }else if(e.currentTarget.dataset.name=='topup'){
      wx.navigateTo({
        url: `/pages/details/index?name=充值明细`,
      })
    }else if(e.currentTarget.dataset.name=='invoice'){
      wx.navigateTo({
        url: `/pages/details/index?name=发票管理`,
      })
    }else if(e.currentTarget.dataset.name=='bankcard'){
      wx.navigateTo({
        url: `/pages/details/index?name=银行卡管理`,
      })
    }else if(e.currentTarget.dataset.name=='balance'){
      wx.navigateTo({
        url: `/pages/details/index?name=温馨提示`,
      })
    }
   
  },
  onwithdraw(){
    this.setData({
      visible:true
  
    })
  },
  selected_wx(e){
    console.log(e.currentTarget.dataset.index);
    this.setData({
      selectedtype:e.currentTarget.dataset.index
  
    })
  },
    ontopup(){
      wx.showModal({
        title: '充值',
        content: '拨打客服电话，联系客服充值！',
        confirmText:'拨打',
        success (res) {
          if (res.confirm) {
           
          } else if (res.cancel) {
            console.log('用户点击取消')
          }
        }
      })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})